Bug 1305887 - thumbpdf fails with unrecoverable error
Summary: thumbpdf fails with unrecoverable error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-09 14:00 UTC by Mattias Ellert
Modified: 2016-02-21 16:24 UTC (History)
3 users (show)

Fixed In Version: texlive-2014-19.20140525_r34255.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 12:56:37 UTC


Attachments (Terms of Use)

Description Mattias Ellert 2016-02-09 14:00:30 UTC
Description of problem:

thumbpdf fails with unrecoverable error

Version-Release number of selected component (if applicable):

texinfo-tex-6.0-1.fc23.x86_64
texlive-thumbpdf-bin-svn6898.0-18.20140525_r34255.fc23.noarch

How reproducible:

Always.

Steps to Reproduce:
1. Create a very simple imput:

$ cat testtex.tex 
\documentclass{article}
\usepackage{thumbpdf}
\begin{document}
Text.
\end{document}

2. Run "texi2pdf testtex.tex"
3. Run "texi2pdf testtex.tex" a second time.

Actual results:

GPL Ghostscript 9.16: Unrecoverable error, exit code 1
*** clear temp files ***
!!! Error: Closing Ghostscript (exit status: 1)!
/usr/bin/texi2dvi: thumbpdf exited with bad status.
/usr/bin/texi2dvi: Ignoring its output.

Expected results:

No failure.

Additional info:

Running the same test on an older texlive installation on CentOS 6 succeeds.

Comment 1 Fedora Update System 2016-02-17 15:22:59 UTC
texlive-2014-19.20140525_r34255.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e583ec035

Comment 2 Fedora Update System 2016-02-17 22:30:45 UTC
texlive-2014-19.20140525_r34255.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e583ec035

Comment 3 Mattias Ellert 2016-02-18 19:50:39 UTC
Thank you for fixing this so fast. It is appreciated.

If you ever update texlive in F22 consider fixing it there too.

Comment 4 Fedora Update System 2016-02-21 12:56:34 UTC
texlive-2014-19.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-21 16:17:48 UTC
texlive-2014-19.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-21 16:24:00 UTC
texlive-2014-19.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.